<?php
    $captcha_cache = rand( 0, 1000000 );
?>

<form method="post" data-action="/contacts/contact-to?ajax=1&id=<?= $this->id ?>&type=<?= $this->type ?>" action="" class="contact-form" id="contact-form-<?=$this->id;?>">

    <div class="form-overlay form-overlay-<?=$this->id;?>"></div>
    <img class="form-loading form-loading-<?=$this->id;?>" src="/img/mobile/icons/form-loading-icon.gif" />

    <div class="form-header">
        <p class="p-title an"><?= __('contact') ?> <span class="blue">
            <?php
            if( $this->to_user->showname ){
                //echo $this->to_user_title . ' ' . $this->to_user->showname;
            } else {
                //echo $this->to_user_title;
            }
            ?>
            </span></p>
        <div class="popup-close-btn">x</div>
    </div>

    <p class="form-message form-message-<?=$this->id;?>"></p>

    <div class="form-input">
            <input placeholder="<?=__('name');?>" data-role="none" type="text" name="name" id="name" />
    </div>

    <div class="form-input">
            <input placeholder="<?=__('email');?>" data-role="none" type="email" name="email" id="email" />
    </div>

    <div class="form-input">
            <textarea placeholder="<?=__('message');?>" data-role="none" name="message" id="message"></textarea>
    </div>

    <div class="form-input">
        <label for="captcha" style="margin-bottom: 0;"><?=__('enter_security_code')?><br/>
            <input data-role="none" type="text" name="captcha" id="captcha" class="toLeft" /></label>
            <img id="mail-captcha" src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" class="toLeft" />
            <span class="refresh-captcha toLeft"></span>
            <div class="toClear"></div>
    </div>

    <input type="hidden" id="mc-action" />
    <input type="hidden" value="<?=$this->type;?>" name="contact-type" />

    <input data-role="submit" type="button" value="<?=__('send');?>" id="contact-submit-<?=$this->id;?>" />

</form>

<style type="text/css">
    #captcha { width: 105px; margin-right: 3px; }
    #mail-captcha { height: 28px; border-radius: 3px; opacity: 0.7; }
    span.refresh-captcha { display: block; float: left; width: 25px; height: 28px; margin-left: 3px; background: url('/img/mobile/icons/captcha-refresh-icon.png') center center no-repeat; cursor: pointer; }
</style>